<?php
/*
	Name: UberMenu Thesis Box
	Author: Chris Mavricos
	Description: Adds support for UberMenu in Thesis 2.0.  Thanks to Tim Milligan
	Version: 2.1.9
	Class: ubermenu_thesis_nav_menu
*/

class ubermenu_thesis_nav_menu extends thesis_box {

	protected function translate() {
		$this->title 	= __('UberMenu Nav Menu Box', 'thesis');
		$this->name 	= __('UberMenu Nav Menu', 'thesis');
	}
	
	protected function construct() {
		register_nav_menu( 'ubermenu_thesis' , __( 'UberMenu Thesis' ) );
	}

	public function html() {

		if( function_exists( 'ubermenu' ) ){

			$args = array();

			if( isset( $this->options['menu'] ) ){
				$args['menu'] = $this->options['menu'];
			}
			else{
				$args['theme_location'] = $this->options['theme_location'];
			}

			ubermenu( $this->options['config'] , $args );
		}
		else{
			echo 'Please install <a href="http://wpmegamenu.com">UberMenu 3</a>';
		}
	}

	protected function html_options(){

		if( function_exists( 'ubermenu' ) ){

			$theme_locations = get_registered_nav_menus();

			$menus = array();
			$menus[''] = __('Select a menu', 'ubermenu');
			foreach (wp_get_nav_menus() as $menu)
				$menus[(int) $menu->term_id] = esc_attr($menu->name);

			$configs = array( 'main' => 'Main' );
			$reg_configs = ubermenu_get_menu_instances( false );
			foreach( $reg_configs as $reg ){
				$configs[$reg] = $reg;
			}

			//umd( $locs );
			//print_r( $locs );

			return array(
				'theme_location' => array(
					'label'	=> __( 'Theme Location' , 'ubermenu' ),
					'type' => 'select',
					'tooltip'	=> __( 'Select a theme location to display' , 'ubermenu' ),
					'options' => $theme_locations,
				),
				'menu'	=> array(
					'type'	=> 'select',
					'label'	=> __( 'Menu (optional)' , 'ubermenu' ),
					'tooltip' => __( 'Select a menu to display. This will override any theme location setting' , 'ubermenu' ),
					'options'	=> $menus,
				),
				'config'	=> array(
					'label' => __( 'UberMenu Configuration' , 'ubermenu' ),
					'type'	=> 'select',
					'options'	=> $configs,
					'tooltip'	=> 'The UberMenu Configuration to apply to this menu instance',
				),
			);
		}
	}
}